com.genesyslab.wfm8.API.service.RTA810

## Class ShortScheduleStateStruct

- java.lang.Object
- - com.genesyslab.wfm8.API.service.RTA810.ShortScheduleStateStruct

- All Implemented Interfaces:
    java.io.Serializable

      public class ShortScheduleStateStruct
      extends java.lang.Object
      implements java.io.Serializable

  Contains short Schedule State info.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `id` Scheduled state ID.
    `private static long` | `serialVersionUID`
    `protected int` | `type` Scheduled state type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShortScheduleStateStruct()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getId()` Gets the value of the id property.
    `int` | `getType()` Gets the value of the type property.
    `int` | `hashCode()`
    `void` | `setId(int value)` Sets the value of the id property.
    `void` | `setType(int value)` Sets the value of the type property.
    `java.lang.String` | `toString()`
    `ShortScheduleStateStruct` | `withId(int value)`
    `ShortScheduleStateStruct` | `withType(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### type

          protected int type

      Scheduled state type. Types are predefined in `ECfgStateType`

    - #### id

          protected int id

      Scheduled state ID.

  - ### Constructor Detail

    - #### ShortScheduleStateStruct

          public ShortScheduleStateStruct()

  - ### Method Detail

    - #### getType

          public int getType()

      Gets the value of the type property.

    - #### setType

          public void setType(int value)

      Sets the value of the type property.

    - #### getId

          public int getId()

      Gets the value of the id property.

    - #### setId

          public void setId(int value)

      Sets the value of the id property.

    - #### withType

          public ShortScheduleStateStruct withType(int value)

    - #### withId

          public ShortScheduleStateStruct withId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.